Package com.treemap

# Class CushionRendering<C,N,Row,Column,Color,Font>

java.lang.Object
com.treemap.AbstractRendering<C,N,Row,Column,Color,Font>
com.treemap.CushionRendering<C,N,Row,Column,Color,Font>

Type Parameters:
  `N` - the type of nodes

All Implemented Interfaces:
  `Rendering<C,N,Row,Column,Color,Font>`

public class CushionRendering<C,N,Row,Column,Color,Font> extends AbstractRendering<C,N,Row,Column,Color,Font>
Paint leaf nodes with a cushion effect.

- ## Field Summary

  ### Fields inherited from class com.treemap.AbstractRendering

  `COLOR_SIMILARITY_THRESHOLD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CushionRendering()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `paintBorder(TGraphics<Color,Font> g2, TreeMapView<C,N,Row,Column,Color,Font> view, N node, int pass, com.macrofocus.geom.Rectangle bounds, com.macrofocus.geom.Shape shape)`
  `boolean`
  `paintNode(TGraphics<Color,Font> g, TreeMapView<C,N,Row,Column,Color,Font> view, N node, int pass, com.macrofocus.geom.Rectangle bounds, com.macrofocus.geom.Shape shape)`
  `String`
  `toString()`

  ### Methods inherited from class com.treemap.AbstractRendering

  `getNestingBackground, getOrder, getParentOrder, getPasses, getRenderedShape, paintBackground, paintLabel, paintParent, paintParentBorder, paintParentHighlight, scaleFontToFit`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CushionRendering

    public CushionRendering()

- ## Method Details

  - ### paintNode

    public boolean paintNode(TGraphics<Color,Font> g, TreeMapView<C,N,Row,Column,Color,Font> view, N node, int pass, com.macrofocus.geom.Rectangle bounds, com.macrofocus.geom.Shape shape)

  - ### paintBorder

    public void paintBorder(TGraphics<Color,Font> g2, TreeMapView<C,N,Row,Column,Color,Font> view, N node, int pass, com.macrofocus.geom.Rectangle bounds, com.macrofocus.geom.Shape shape)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`